<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class ComboboxKirchengemeinde extends Combobox
{
  protected function getDatamodulAry()
  {
    $dbw = new DBWorkHLKirchengemeinde(1, true);

    return $dbw->getAll();
  }

  protected function getValueFieldName()
  {
    return 'kirchengemeinde';
  }

  protected function getTextFieldName()
  {
    return 'kirchengemeinde';
  }

  protected function getDefaultOption()
  {
    $option = new ComboboxOption();
    $option->value = '';
    $option->text = 'Kirchengemeinde auswählen';
    $option->isSelected = is_null($this->selectedValue);

    return $option;
  }
}